#include "__jet.h"
#include "Exception.h"
#include <iostream>

namespace jet {
   
   __jet::__jet(coreutils::ZString &in, coreutils::MString &parent, Global &global) : Tag(in, parent, global) {

      try {	   
	 processContainer(container);
      }
      catch(coreutils::Exception e) {
	 std::cout << container.parsed() << std::endl;
	 std::cout << "***** " << e.text << std::endl; 
	 std::cout << container.unparsed() << std::endl;
	 throw e;
      }
      
   }
}

